import type { Ref } from "vue";
import type { StoreMeta, StoreType } from "./Types";
export declare class StoreApi {
    private readonly store;
    private readonly meta;
    constructor(store: StoreType, storeMeta: StoreMeta);
    static forBinding(storeBinding: string): StoreApi;
    static forBindingDevTools(storeBinding: string): {
        store: StoreApi;
        instance: StoreType;
    };
    static forClass(storeClassName: string): StoreApi;
    getInstance(): StoreType;
    getMeta(): StoreMeta;
    getAllState(): {
        [key: string]: Ref;
    };
    getAllGetters(): [string, PropertyDescriptor][];
    getAllActions(): (string | {
        value: any;
        name: string;
        params: {
            name: string;
            defaultValue: string;
            type: string;
        }[];
    })[][];
    getName(): string;
    getVueBinding(): string;
    setState(path: any, value: any): void;
}
